import 'package:animated_flip_counter/animated_flip_counter.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:rdc_flutter_sdk/rabbit_data.dart';
import 'package:shop_app/controllers/example_controller.dart';

class StatusRecord extends StatelessWidget {
  StatusRecord({
    Key? key,
  }) : super(key: key);

  final ExampleController exampleController = Get.find();

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Row(
          mainAxisAlignment: MainAxisAlignment.spaceEvenly,
          children: [
            Column(
              children: [
                Obx(() => AnimatedFlipCounter(
                    value: exampleController.events.length,
                    textStyle: TextStyle(fontWeight: FontWeight.bold))),
                Text('All records: '),
              ],
            ),
            Column(
              children: [
                Obx(() => AnimatedFlipCounter(
                    value:
                        exampleController.events.where((e) => !e.isSend).length,
                    textStyle: TextStyle(fontWeight: FontWeight.bold))),
                Text('Local records: '),
              ],
            ),
            Column(
              children: [
                Obx(() => AnimatedFlipCounter(
                    value:
                        exampleController.events.where((e) => e.isSend).length,
                    textStyle: TextStyle(fontWeight: FontWeight.bold))),
                Text('Sent records: '),
              ],
            ),
          ],
        ),
        Divider(),
        exampleController.rabbitData.config.dbType == DBType.realm.name
            ? Column(
                children: [
                  Row(
                    mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                    children: [
                      Column(
                        children: [
                          Obx(() => AnimatedFlipCounter(
                              value: exampleController.cpu.value,
                              suffix: '%',
                              textStyle:
                                  TextStyle(fontWeight: FontWeight.bold))),
                          Text('Cpu'),
                        ],
                      ),
                      Column(
                        children: [
                          Obx(() => AnimatedFlipCounter(
                              value: exampleController.memory.value,
                              suffix: '%',
                              textStyle:
                                  TextStyle(fontWeight: FontWeight.bold))),
                          Text('Memory'),
                        ],
                      ),
                      Column(
                        children: [
                          Obx(() => AnimatedFlipCounter(
                              value: exampleController.battery.value,
                              suffix: '%',
                              textStyle:
                                  TextStyle(fontWeight: FontWeight.bold))),
                          Text('Battery')
                        ],
                      ),
                    ],
                  ),
                  Divider(),
                  Row(
                    mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                    children: [
                      Column(
                        children: [
                          Obx(() => AnimatedFlipCounter(
                              value: exampleController.freeSpace.value,
                              suffix: 'MB',
                              textStyle:
                                  TextStyle(fontWeight: FontWeight.bold))),
                          Text('Space')
                        ],
                      ),
                      Column(
                        children: [
                          Obx(() => AnimatedFlipCounter(
                              value: exampleController.sizeDB.value,
                              suffix: 'MB',
                              textStyle:
                                  TextStyle(fontWeight: FontWeight.bold))),
                          Text('Size DB')
                        ],
                      ),
                    ],
                  ),
                ],
              )
            : Row(
                mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                children: [
                  Column(
                    children: [
                      Obx(() => AnimatedFlipCounter(
                          value: exampleController.cpu.value,
                          suffix: '%',
                          textStyle: TextStyle(fontWeight: FontWeight.bold))),
                      Text('Cpu'),
                    ],
                  ),
                  Column(
                    children: [
                      Obx(() => AnimatedFlipCounter(
                          value: exampleController.memory.value,
                          suffix: '%',
                          textStyle: TextStyle(fontWeight: FontWeight.bold))),
                      Text('Memory'),
                    ],
                  ),
                  Column(
                    children: [
                      Obx(() => AnimatedFlipCounter(
                          value: exampleController.battery.value,
                          suffix: '%',
                          textStyle: TextStyle(fontWeight: FontWeight.bold))),
                      Text('Battery')
                    ],
                  ),
                  Column(
                    children: [
                      Obx(() => AnimatedFlipCounter(
                          value: exampleController.freeSpace.value,
                          suffix: 'MB',
                          textStyle: TextStyle(fontWeight: FontWeight.bold))),
                      Text('Space')
                    ],
                  ),
                ],
              ),
      ],
    );
  }
}
